# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: Worldpay
    class: XC\WorldpayHPP\Model\Payment\Processor\Worldpay
    type: C
    countries: [AD, AR, AU, BE, BR, CA, CH, CN, CO, CR, CY, CZ, DE, DK, ES, FI, FR, GB, GI, GR, HK, HU, IE, IN, IT, JP, LI, LU, MC, MT, MX, MY, NL, 'NO', NZ, PA, PE, PL, PT, SE, SG, SI, SM, TR, VA]
    translations: [{code: en, name: WorldPay}]
    settings: [{name: instId}, {name: password}, {name: type, value: sale}, {name: prefix, value: xcart}, {name: mode, value: live}]
XLite\Model\LanguageLabel:
  - name: 'Installation ID'
    translations: [{code: en, label: 'Installation ID'}]
  - name: 'Secret word'
    translations: [{code: en, label: 'Secret word'}]
  - name: 'Prefix for order id'
    translations: [{code: en, label: 'Prefix for order id'}]
  - name: 'Test/Live mode'
    translations: [{code: en, label: 'Test/Live mode'}]
  - name: 'To ensure correct operation, enable the options "Enable the Shopper Response" and "Payment Response enabled" in the settings of your Worldpay account. Also be sure to set "Payment response URL" to this value:'
    translations: [{code: en, label: 'To ensure correct operation, enable the options "Enable the Shopper Response" and "Payment Response enabled" in the settings of your Worldpay account. Also be sure to set "Payment response URL" to this value:'}]
  - name: 'Full auth'
    translations: [{code: en, label: 'Full auth'}]
  - name: Pre-auth
    translations: [{code: en, label: Pre-auth}]
